export default function WerefoxCard({
  isTitle,
  innerText,
  children,
}) {
  if (isTitle) {
    return (
      <div className="rounded-lg ring-4 ring-werefox-blue bg-werefox-grey-light dark:bg-werefox-grey">
        {children}
      </div>
    );
  } else {
    return (
      <div className="rounded-lg ring-2 ring-werefox-grey dark:ring-werefox-grey-darker bg-werefox-grey-light dark:bg-werefox-grey">
        <div className="p-2 space-y-2">
          <div className="rounded-lg ring-2 ring-werefox-grey dark:ring-werefox-grey-darker bg-werefox-grey-lighter dark:bg-werefox-grey-dark">
            <p className="p-2 text-center text-md sm:text-lg text-werefox-blue-dark dark:text-werefox-blue">
              {innerText}
            </p>
          </div>
          <div className="p-2 space-y-2 rounded-lg ring-2 ring-werefox-grey dark:ring-werefox-grey-darker bg-werefox-grey-lighter dark:bg-werefox-grey-dark">
            {children}
          </div>
        </div>
      </div>
    );
  }
}
